Subject: [payload] Review of draft-spittka-payload-rtp-opus-02

From: Tina le Grand <[email-masked]>
Date: Tue, 27 Nov 2012 11:52:13 +0100

Hi,

I was reading through the Opus RTP draft, and I have a few comments I
thought I'd share with you.

   - Section 1, page 3, section 1, line 3: "is is" -> "it is"
   - Section 2, page 4, abbreviation list:
      - PSTN never used in the document, can be removed
      - Add VBR - Variable bitrate
      - Add CBR - Constant bitrate
      - Add DTX - Discontinuous transmission
      - Add FEC - Forward error correction
   - Section 4.1, page 9, Table 2: The name of the table is odd. The table
   is already described in the text on the previous page, and the description
   below the table isn't needed.
   - Section 4.2, page 10, Table 3:
      - Again, the name of table is difficult to read. Consider moving the
      information to the section above instead.
      - This isn't really correct: "fs specifies the audio sampling
      frequency in Herz (Hz)". It's the abbreviations for audio
bandwidth that is
      used in the table.
      - You might want to add that the duration is in milliseconds.
      - In the previous section it says "only one packet output from the
      Opus encoder MUST be used as a payload", but the last sentence
in the table
      description talks about multiple frames in one packet.

   - Section 6.1, page 14, if the receiver says useinbandfec=0, is it okay
   for the sender to send FEC anyway? It doesn't explicitly say in the text.
   - Section 6.2, page 16: it isn't described in the bullet list where to
   include the optional parameter maxplaybackrate.
   - Section 6.2.1, page 18, second bullet: "sprop-maxcaptureerate"
   misspelled twice, should be  "sprop-maxcapturerate".

Thanks,
Tina le Grand.